/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 1991-2009 OpenCFD Ltd.
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the
    Free Software Foundation; either version 2 of the License, or (at your
    option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM; if not, write to the Free Software Foundation,
    Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

\*---------------------------------------------------------------------------*/
 namespace Foam
 {


// * * * * * * * * * * * * * * * Member Functions  * * * * * * * * * * * * * //

inline const Foam::fvMesh& Foam::solidParticleCloud::mesh() const
{
    return mesh_;
}


inline Foam::scalar Foam::solidParticleCloud::rhop() const
{
    return rhop_;
}


inline Foam::scalar Foam::solidParticleCloud::e() const
{
    return e_;
}


inline Foam::scalar Foam::solidParticleCloud::mu() const
{
    return mu_;
}
inline Foam::scalar Foam::solidParticleCloud::nbInjByDt() const
{
    return nbInjByDt_;
}

inline Foam::vector Foam::solidParticleCloud::center() const
{
    return center_;
}
inline Foam::vector Foam::solidParticleCloud::r0() const
{
    return r0_;
}

inline Foam::scalar Foam::solidParticleCloud::d() const
{
    return d_;
}
inline Foam::vector Foam::solidParticleCloud::vel() const
 {
     return vel_;
 }
 
 inline Foam::scalar Foam::solidParticleCloud::velprime() const
 {
     return velprime_;
 }

inline tmp<volScalarField> solidParticleCloud::volFrac() const
 {
     tmp<volScalarField> vF
     (
         new volScalarField
         (
             IOobject
             (
                 "vF",
//                 runTime_.timeName(),
                 mesh_,
                 IOobject::NO_READ,
                 IOobject::AUTO_WRITE
             ),
             mesh_,
             dimensionedScalar
             (
                 "vF",
                 dimless,
                0.0
             )
         )
     );
         vF().internalField() = nbPVp_/mesh_.V();

     return vF;
 }

} // End namespace Foam

// ************************************************************************* //
